package com.yem.wm.bd.customer.from.Validator;

import com.yem.or.utils.OrderApiUtils;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.ExtendedDataEntity;
import kd.bos.entity.validate.AbstractValidator;

/**
 * @author ljw
 * @date 2024/7/22 16:39
 * @description CustomerDisableValidator
 */
public class CustomerDisableValidator extends AbstractValidator {
    @Override
    public void validate() {
        ExtendedDataEntity[] dataEntities = this.getDataEntities();
        for (ExtendedDataEntity dataEntitie : dataEntities) {
            DynamicObject dataEntity = dataEntitie.getDataEntity();
            String string = dataEntity.getString("yem_torderid");
            String status = dataEntity.getString("enable");
            OrderApiUtils.Modifyuser(status, string);
        }
    }
}
